EDIT - task #7466

Use markers to identify references for ICBN or other codes
06/08/2018 03:23 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 10%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: major

Description

1. Use the MarkerType NOMENCLATURAL_RELEVANT which has been prepared already

2. cdmlib: extend the lldentifiableEntityService.findByTitle(Class<? extends T> clazz, String queryString,MatchMode matchmode,
List<Criterion> criteria, Integer pageSize, Integer pageNumber, List<OrderHint> orderHints, List<String> propertyPaths); by a
filter parameter for markers.

3. cdm-vaadin: extend the CdmFilterablePagingProvider by marker filter options.

Related issues:
Copied from EDIT - task #7364: TaxonNameEditor supports editing of a validate... Closed

Associated revisions

Revision 814084d4 - 06/08/2018 03:25 PM - Andreas Kohlbecker
ref #7466 adding marker type NOMENCLATURAL_RELEVANT

History

#1 - 06/08/2018 03:23 PM - Andreas Kohlbecker
- Copied from task #7364: TaxonNameEditor supports editing of a validated name added

#2 - 06/08/2018 03:29 PM - Andreas Kohlbecker
- Description updated

- Target version changed from Release 5.1 to Reviewed Next Major Release

#3 - 06/14/2018 12:23 PM - Andreas Kohlbecker
- Status changed from In Progress to New

- Priority changed from Highest to Priority14

#4 - 11/23/2018 04:30 PM - Andreas Kohlbecker

- Target version changed from Reviewed Next Major Release to Release 5.6

#5 - 02/22/2019 04:28 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Reviewed Next Major Release

#6 - 03/30/2021 11:16 AM - Andreas Kohlbecker

- Subject changed from Use makers to identify references for ICBN or other codes to Use markers to identify references for ICBN or other codes
